Bug 463182 - (CVE-2008-3835) CVE-2008-3835 mozilla: nsXMLDocument::OnChannelRedirect() same-origin violation
CVE-2008-3835 mozilla: nsXMLDocument::OnChannelRedirect() same-origin violation
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
impact=moderate,source=mozilla,report...
: Security
Depends On:
Blocks: 460512 460513 460518 460519 460520
  Show dependency treegraph
 
Reported: 2008-09-22 11:07 EDT by Josh Bressers
Modified: 2010-12-23 17:35 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-23 17:35:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Comment 2 Josh Bressers 2008-09-23 13:35:11 EDT
From MFSA 2008-38:
Mozilla security researcher moz_bug_r_a4 reported that the same-origin
check in nsXMLDocument::OnChannelRedirect() could be bypassed. This
vulnerability could be used to execute JavaScript in the context of a
different website.
Comment 3 Josh Bressers 2008-09-23 20:53:43 EDT
This is now public
Comment 4 Fedora Update System 2008-11-21 05:55:37 EST
thunderbird-2.0.0.18-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2008-11-21 06:03:09 EST
thunderbird-2.0.0.18-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Vincent Danen 2010-12-23 17:35:17 EST
This was addressed via:

Red Hat Enterprise Linux version 2.1 (seamonkey) RHSA-2008:0882
Red Hat Enterprise Linux version 3 (seamonkey) RHSA-2008:0882
Red Hat Enterprise Linux version 4 (RHSA-2008:0882)
Red Hat Enterprise Linux version 4 (thunderbird) RHSA-2008:0908
Red Hat Enterprise Linux Desktop version 5 (thunderbird) RHSA-2008:0908
RHEL Optional Productivity Applications version 5 (thunderbird) RHSA-2008:0908

Note You need to log in before you can comment on or make changes to this bug.